fex (20140917-1) unstable; urgency=medium

  * New upstream release: 20140917
   + fup: fixed bug no locales presentation
   + Ignore .* when on-demand streaming archive of directory
  * Removed patch 00_upstream.patch - already included in new release
  * fex.postinst: Copy over all files from htdocs upon first install
  * Remove symlinks in htdocs/download - not needed according to upstream
  * Remove $notify_newrelease from fex.ph entirely - we want only Debian
    versions
  * Install htdocs for any filetype in /usr/share/fex/htdocs
  * Don't try to set hostname in fex.ph if not defined (fixes piuparts)
  * Preinst doesn't need bash. Removing from shebang
  * Default mailer to exim4 | postfix
  * Move fex_cleanup call to end of postinst
  * Ensure we cleanup dpkg-statoverride upon purge
  * Update fex description to include afex/asex
  * Suggest fex for fex-utils
  * Init fex.ph even if hostname is not available - piuparts mode

 -- Kilian Krause <kilian@debian.org>  Tue, 23 Sep 2014 22:28:18 +0200

fex (20140902-2) unstable; urgency=medium

  [ Kilian Krause ]
  * Backports from upstream:
   + fexsend: support -i when running with -I
   + Default notify_newrelease to '' (in fex.pp) and not report new upstream
     versions to admin - we're Debian and want new debs or nothing! ,-)
  * Set notify_newrelease = '' in fex.ph default to ignore direct upstream
    update notification
  * Add gpg key to uscan
  * Install Debian version file into htdocs by default
  * Recommend wget for fex (for update notification)
  * Suggest wget for fex-utils (afex support)
  * Add md5sum auto-generate and use LC_ALL=C to ensure same sort order
  * Fix short license name in debian/copyright to not contain whitespace
  * Don't install htdocs/Licence by default
  * Add more docs: newfeatures, reverse_proxy, SEX, xx
  * Remove unnneeded double dh_install call from debian/rules

  [ Michael Bussmann ]
  * Updated manpages

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Sep 2014 22:15:53 +0200

fex (20140902-1) unstable; urgency=medium

  * New upstream release: 20140902
    - fup: upload status bar waits longer, until $timeout
    - fex_cleanup: use wget for new release dedection
  * Add suid fex for fac and tools (fex_cleanup, fexwall, logwatch) as those
    should always be run as user fex
  * Bump compat to 9 and increase Standards-Version to 3.9.5
  * User fex shall have a valid shell -> update to /bin/sh if default system
    user (/bin/false)
  * Add new tools: afex, asex, fbm
  * Add fexwall utility to fex package

 -- Kilian Krause <kilian@debian.org>  Tue, 02 Sep 2014 17:17:28 +0200

fex (20140818-1) unstable; urgency=low

  * New upstream release: 20140818 (Closes: #758555)
   - security enhancement: the variable $admin_pw has moved from fex.ph to
     auth-ID $spooldir/$admin/@
   - fac (CGI) uses auth-ID of admin user for login and has a logout feature
   - fac -P makes an user persistent (no account expiration)
   - fac -E shows examples
   - fex_cleanup does not terminate any more on errors, this prevents dangling
     spool files
   - reenabled IPv6 support, see doc/IPv6 for details
  * Recommend libsocket6-perl from fex for IPv6 support
  * Recommend libnet-inet6glue-perl from fex-utils for IPv6 support
  * Create fexmaster admin user and optionally pull admin_pw from fex.ph if
    exists
  * Pull security tight on F*EX dirs. Set mode to 0750 on:
   - /usr/share/fex/
   - /var/lib/fex/
   - /var/log/fex/
   - /var/spool/fex/
  * Also add new IPv6 doc to fex docs - and update xinetd config patch

 -- Kilian Krause <kilian@debian.org>  Mon, 25 Aug 2014 21:53:07 +0200

fex (20140806-1) unstable; urgency=low

  * New upstream release: 20140806
   - vhosts are now created FHS-conforming (Closes: #712508)
   - debian/patches/02_fex.ph_logdir.patch now incorporated upstream - removed
   - debian/patches/03_fex.ph_docdir.patch now incorporated upstream - removed
  * Remove CSS installs from postinst (Closes: #742040)
  * Add doc dir in fex home upon install (Closes: #733506)
  * Refresh quilt patches
  * Update manpages. Big thanks to Michael Bussmann!
  * fex.postinst: Fix temporary path to be /var/lib/fex rather than /var/lib
  * Fix hyphen-used-as-minus-sign in fexget.1 and fexsend.1
  * Remove empty dir /usr/share/fex/doc
  * Canonicalize URIs for Git in debian/control
  * Remove dangling symlink at /var/lib/fex/htdocs/FIX.jar in postinst
  * Update copyright

 -- Kilian Krause <kilian@debian.org>  Wed, 06 Aug 2014 17:09:18 +0200

fex (20140530-1) unstable; urgency=low

  * New upstream release: 20140530
   - fixed security bug which allowed cross-site scripting attacks and
     cross-site request forgery
   - fixed several minor bugs

 -- Kilian Krause <kilian@debian.org>  Fri, 30 May 2014 14:15:26 +0200

fex (20140313-1) unstable; urgency=low

  * New upstream release 20140313
   - new fex.ph config variable $disclaimer to be appended to every email
   - bin/fexwall and doc/newfeatures
   - added PGP/GPG email encryption option, see
     http://fex.rus.uni-stuttgart.de/gpg.html
   - fixed bug $keep_default is ignored

 -- Kilian Krause <kilian@debian.org>  Thu, 20 Mar 2014 09:45:59 +0100

fex (20140226-1) unstable; urgency=low

  * New upstream version: 20140226
   - notification e-mail resend option for user and admin
   - new FAQ design (questions first, then Q+A)
   - sub and group users have the same quota amount like their main user
   - config variable @local_domains may contain wildcard * for subdomains
   - various small bug fixes
  * debian/fex.install: FAQ no longer has CSS and GIF files. 
  * Update copyright years

 -- Kilian Krause <kilian@debian.org>  Wed, 05 Mar 2014 09:49:50 +0100

fex (20130805-1) unstable; urgency=low

  * New upstream version: 20130805
   - security update: new fac -D option to disable a user
   - new fex.ph variable $usage_conditions adds a "terms of usage" text to the
     registration e-mail 
   - new fex.ph variable $notify_newrelease checks for new release and informs
     the admin by e-mail 
   - allow multiple downloads from same ip
   - added sup.html (simple upload form)
   - added all-in-one FAQ
   - added fexget proxy support
   - added file linking support for fexsend (option -/)
   - security enhancement for dop: 
     * documents MUST be in @doc_dirs
     * client IP restriction via .htaccessfrom

 -- Kilian Krause <kilian@debian.org>  Tue, 03 Sep 2013 23:05:27 +0200

fex (20130510-1) unstable; urgency=low

  * New upstream version: 20130510
   - fac: added -m maintenance mode
   - support for axel download accelerator
   - consistent and better usage for afex and asex
   - bug fix for web browsers which show error on upload for multiple recipients
   - several small bug fixes

 -- Kilian Krause <kilian@debian.org>  Mon, 13 May 2013 13:24:23 +0200

fex (20130217-1) unstable; urgency=low

  * New upstream release: 20130217
   - bug fix: file deletion also deletes fop.log
   - new config variable @registration_hosts limits external (restricted) user
  * Other changes:
     self-registration to specified ip range(s)
   - with comment NOSTORE file will not be stored, usefull for benchmarking
   - added CAPTIVE user mode: user must not change his settings
   - user can forward a file from incoming spool
   - name based virtual host: 
     you can run several F*EX servers on same ip and port
   - receiving of reminder e-mails is user configurable
   - several bugfixes

 -- Kilian Krause <kilian@debian.org>  Mon, 18 Feb 2013 17:08:07 +0100

fex (20121107-1) unstable; urgency=high

  * New upstream release: 20121107
   - SECURITY BUGFIX:
      A restricted user could upload a file to a non-existent recipient in an
      allowed domain and afterwards redirect this file to another recipient in a
      forbidden domain ==> sender can bypass domain restrictions.

      If you do not have restricted users you are not affected by this bug
      (subusers do not count as restricted users).

    - fac: the admin can restrict up or download for certain users to certain
      IP addresses.

 -- Kilian Krause <kilian@debian.org>  Wed, 07 Nov 2012 13:55:06 +0100

fex (20121027-1) unstable; urgency=low

  * New upstream release: 20121027
   + anonymous usage support for LAN

 -- Kilian Krause <kilian@debian.org>  Mon, 29 Oct 2012 09:47:20 +0100

fex (20120930-1) unstable; urgency=low

  * New upstream release: 20120930
   - licence change to Perl Artistic
   - mail notification detailed / brief configurable for user
   - "no mails at all" server mode for usecase: no smtp available
   - tar, tgz and zip on-the-fly streaming output for regular documents
   - camel easteregg
   - various small bug fixes
   => update debian/copyright
  * New Maintainer: Kilian Krause stepping up from Uploader as desired by
    Guiseppe. Thanks Guiseppe for your work!
  * Update md5 hashes
  * fex.ph is now gzipped in doc/examples. Adjusting postinst accordingly

 -- Kilian Krause <kilian@debian.org>  Thu, 04 Oct 2012 16:33:21 +0200

fex (20120718-5) unstable; urgency=low

  * Remove dpkg statoverride upon purge (Closes: #684404)

 -- Kilian Krause <kilian@debian.org>  Tue, 14 Aug 2012 09:06:18 +0200

fex (20120718-4) unstable; urgency=high

  * Fix fexsend in fex.pp to be available
  * Fix uninitialized variable in fac - 
    Thanks to Michael Bussmann <bus@mb-net.net>
  * Only minor fixes so setting urgency=high to get this into Wheezy still

 -- Kilian Krause <kilian@debian.org>  Mon, 06 Aug 2012 15:25:16 +0200

fex (20120718-3) unstable; urgency=low

  * We just can't support custom fup.pl upgrading in /usr/share/fex/ 
    (Closes: #682293)

 -- Kilian Krause <kilian@debian.org>  Mon, 23 Jul 2012 15:22:33 +0200

fex (20120718-2) unstable; urgency=low

  * Fix preinst typo (Closes: #682191)

 -- Kilian Krause <kilian@debian.org>  Fri, 20 Jul 2012 13:29:45 +0200

fex (20120718-1) unstable; urgency=low

  * New upstream version 20120718
   - F*IX removed (Closes: #678211)
   - License changed from GPL to AGPL
   - anonymous uploads (optional)
   - better wget support
   - minor bug fixes
  * Update README.Debian to explain F*IX upstream situation (Closes: #656631)
  * Depend on ssmtp | mail-transport-agent to make sure we can send email
    (LP#938322)
  * Fix /etc/fex/fex.ph permissions (Closes: #676589)
  * Move fex.pl to /etc/fex/ to allow personalized HTML contents.
  * Update manpages - big thanks to Michael Bussmann <debian@mb-net.net>!

 -- Kilian Krause <kilian@debian.org>  Thu, 19 Jul 2012 11:25:16 +0200

fex (20120215-3) unstable; urgency=high

  * Fix postrm to also remove xinetd.d/fex (Closes: #660877)
  * Fallback to userdel if deluser is not found during postrm
  * Fix /etc/fex/fex.ph being cutomized outside of ucf's reach - requires
    moving fex.ph to examples and initiating it from there (Closes: #660878)
  + Set urgency=high due to fixing RC bug
  * Bump Standards-Version to 3.9.3 - no changes required. We will be moving
    to /run at a later point to allow smoother backports for now
  * Make sure to include robots.txt in htdocs install. Ignore for htdocs check
    for versions between 20111129-1 and 20120215-2
  * Also install new FAQ dir into htdocs and include in htdocs upgrade check
  * Remove error-prone internal update-md5 target from rules
  * Depend on libjs-jquery to replace jquery.js in FAQ with Debian version

 -- Kilian Krause <kilian@debian.org>  Sat, 25 Feb 2012 12:44:34 +0100

fex (20120215-2) unstable; urgency=high

  * Add check for existance of md5sum files to clean target and make sure we
    don't include META-INF
    => Ignoring META-INF on md5sum checks allows signing with different java
    versions and not get an FTBFS (Closes: #642714)
  + Set urgency=high due to fixing RC bug

 -- Kilian Krause <kilian@debian.org>  Wed, 22 Feb 2012 10:14:45 +0100

fex (20120215-1) unstable; urgency=high

  * New upstream release. (Closes: #660621)
   + Setting high prio due to security bug.
  * Fix preinst to allow writing to /usr/share/fex/ always (Closes: #656554)
  * Add libnet-sslglue-perl to Recommends for https support in fex-utils
  * Fix manpages minus-used-as-hyphen for fexget and fexsend

 -- Kilian Krause <kilian@debian.org>  Tue, 21 Feb 2012 10:29:08 +0100

fex (20111129-2) unstable; urgency=low

  * New manpages to match current upstream options (Thanks to Michael
    Bussmann!)
  * Add symlink for fac in $FEXHOME/bin to make fex_cleanup work again

 -- Kilian Krause <kilian@debian.org>  Tue, 20 Dec 2011 14:25:54 +0100

fex (20111129-1) unstable; urgency=low

  * New upstream release 20111129
    - support for Firefox 7 (and later) for uploads > 4 GB !
    - user can create one time upload key
    - new additional login URL type: http://FEXSERVER/fup/B64ID
      can be bookmarked, no need to type in user/auth-ID 
    - if comment contains string "!bcc!" then sender will get a bcc of 
      notification e-mail
    - user locale wil be saved as default and used for receiving, too
    - new fex.ph variable $account_expire for expiration of inactive accounts
    - new fex.ph restriction variable @forbidden_recipients
    - new fex.ph restriction variables @upload_hosts @download_hosts
    - fexsend uses no longer intermediate temporary file for tar archives
    - fexsend can be used in a pipe (streaming!)

 -- Kilian Krause <kilian@debian.org>  Tue, 29 Nov 2011 10:39:24 +0100

fex (20110726-1) unstable; urgency=low

  * New upstream version 20110726
   - fexget: added option -X do not extract archive file
   - fexget: added option -a get all files
   - fexsrv: fixed bug uninitialized value when using a reverse proxy
   - fex_cleanup: fixed bug notify reminder e-mail not localized
   - new translations: czech, galician
   - fac(CGI): fixed bug displaying < and & in logfiles
   - fac(CGI): added getting error.log
   - fop: allow multiple downloads from any client if sender = recipient
  * Fix piuparts error upon purge once ucf is not installed anymore
  * Remove doc/FAQ as upstream no longer ships it (it's now htdocs/FAQ.html)
  * Add robots.txt to fex.install

 -- Kilian Krause <kilian@debian.org>  Wed, 27 Jul 2011 08:47:24 +0200

fex (20110622-1) unstable; urgency=low

  * New upstream release 20110622:
   - New locale (italiano)
   - Better proxy support
   - General bugfixes 
  * Minor fixups to debian/rules left over from adding locales
  * Cleanup debian/rules update-md5 target
  * Introduce build-arch/build-indep to please lintian (for now we don't have
    any arch dependent stuff)

 -- Kilian Krause <kilian@debian.org>  Wed, 22 Jun 2011 21:34:16 +0200

fex (20110620-1) unstable; urgency=low

  * New upstream release: 20110620
    - Include locales
    - Fix: Header now send for all HTTP in fexsrv (Closes: #630629)
  * Add lintian-overrides for fex: english recursive symlink

 -- Kilian Krause <kilian@debian.org>  Mon, 20 Jun 2011 16:27:47 +0200

fex (20110610-2) unstable; urgency=low

  * Support inetd.conf if xinetd is not installed.
  * Alternatively depend on inet-superserver instead of forcing xinetd
  * Make xinetd.d/fex only installed if xinetd is actually installed on the
    system
  * Remove /etc/xinetd.d from fex dirs
  * Add logrotate and move logfile to /var/log
  * New patch to make $logdir point to /var/log/fex in fex.ph
  * Update manpages - big thanks to Michael Bussmann <bus@mb-net.net>
  * Bump compat to 8 (stable has 8.0.0 and bpo has a version for oldstable too)
  * Update to 3.9.2 policy standards:
    - Use dh_perl instead of hardcoding perl Depends
  * Fixup short description typo - thanks to Nico Golde for pointing out!
  * Move htdocs to /var/lib/fex and make download and FEX.jar a symlink to
    /usr/share/fex/htdocs-static/download
  * Backport 04_docdir.patch with $docdir bugfix from upstream (includes
    bugfix for transparent proxy)
  * Always check for htdocs modifications upon upgrade and only overwrite
    htdocs if no changes were made by the user in /var/lib/fex/htdocs
  * New update check routine requires unzip to disassemble FIX.jar - added to
    Depends

 -- Kilian Krause <kilian@debian.org>  Thu, 16 Jun 2011 16:25:20 +0200

fex (20110610-1) unstable; urgency=high

  * New F*EX upstream version 20110510:
    - fex.ph: new config variable $bcc for notification e-mails
      (allow admin to receive a copy of all emails sent by the F*EX server or
      not)
  * included new F*EX upstream version 20110509:
    - SECURITY BUGFIX (setting urgengy high)
      everybody could upload files to anyone with a handcrafted fup.html and
      empty auth-ID
    - bandwith limit option for user in fup
    - bandwith limit option for admin in fex.ph
  * Remove Reply-To patch as is now upstream
  * Update debian/watch to pull new *.tgz tarball from upstream and no longer
    mess with repackaging in Debian
  * Drop Build-Dep on quilt as we're now a 3.0 quilt source anyway. Thanks
    lintian!

 -- Kilian Krause <kilian@debian.org>  Fri, 10 Jun 2011 14:07:10 +0200

fex (20110608-2) unstable; urgency=low

  * Add correct Reply-To header for emails sent by F*EX (patch backported from
    upstream)

 -- Kilian Krause <kilian@debian.org>  Thu, 09 Jun 2011 13:15:03 +0200

fex (20110608-1) unstable; urgency=low

  * New F*EX upstream version 20110608:
    - fup: fixed bug insecure dependency in printf on "forward file"

 -- Kilian Krause <kilian@debian.org>  Wed, 08 Jun 2011 09:02:23 +0200

fex (20110601-1) unstable; urgency=low

  * New upstream version of F*EX: 20110601:
    - evaluate <<perl-code>> inside html documents
    - If there is a .htindex file this directory is listable by dop, example:
      http://fex.rus.uni-stuttgart.de/sw/share/fstools-0.0/bin/
    - fac with support for user specific KEEP and AUTODELETE
    - added PID and request-number to the logs
    - fex_cleanup: fixed bug no expire with AUTODELETE=NO
  * New upstream version of FIX: rev. 33
  * Fixup Debian postinst script: make fex owner of his homedir
  * Update copyright: Add Email-Addresses to FIX authors
  * Make sure we compile FIX in the current version and ship it
  * Build-Depend on default-jdk to be able to build FIX
  * Drop fexlib_upstream_fix.patch - incorporated upstream

 -- Kilian Krause <kilian@debian.org>  Mon, 06 Jun 2011 10:11:11 +0200

fex (20110531+debian1-3) unstable; urgency=low

  * Import latest fixes from upstream to make fac work correctly
  * Add dh_installcron to make sure fex_cleanup is also shipped

 -- Kilian Krause <kilian@debian.org>  Wed, 01 Jun 2011 09:26:28 +0200

fex (20110531+debian1-2) unstable; urgency=low

  * Make sure we don't have HOSTNAME as $hostname in /etc/fex/fex.ph

 -- Kilian Krause <kilian@debian.org>  Tue, 31 May 2011 17:05:45 +0200

fex (20110531+debian1-1) unstable; urgency=low

  * New upstream release: 20110531
  * Add libdigest-md5-file-perl as required for all non-webbrowser clients
  * Add new binaries: zz, ezz
  * Update description of fex-package
  * Recommend fex-utils for fex server

 -- Kilian Krause <kilian@debian.org>  Tue, 31 May 2011 15:41:35 +0200

fex (20110523+debian1-2) unstable; urgency=low

  * [6624c07] fix fex.postrm script (Closes: #610801)

 -- Kilian Krause <kilian@debian.org>  Fri, 27 May 2011 14:33:48 +0200

fex (20110523+debian1-1) unstable; urgency=low

  * [b46a0f7] New upstream version 20110523
  * [ea7883b] Add myself to Uploaders.
  * [d21ab42] Disable 01_fac_in_usr_bin.patch and 04_fac.patch as included
    upstream or included similar fix
  * [f2d90bc] Switch to dpkg-source 3.0 (quilt) format
  * [6ef9438] fexsend.example is no longer shipped as docs are now inside PDFs
    include doc/fex-client_1.pdf and doc/fex-client_2.pdf with fex.docs instead
    of fex-utils 
  * [dedd6ec] Add new binaries sexxx and xx
  * [11f18de] Also include new binaries in description of fex-utils
  * [9f97bb3] Include symlink for fex.ph to $FEXLIB

 -- Kilian Krause <kilian@debian.org>  Fri, 27 May 2011 11:38:11 +0200

fex (20100208+debian1-1) unstable; urgency=low

  * [7850750] Imported Upstream version 20100208+debian1
  * [321d092] Refreshed patches
  * [9580c42] Updated README.source
  * [178490b] fex-utils description: indent the binary list with two
    spaces. - thanks to Gerfried Fuchs
  * [832b114] Fix a typo in short description. - thanks to Ullrich
    Horlacher

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 03 Mar 2010 17:11:38 +0100

fex (20091210+debian0-2) unstable; urgency=low

  * [c977b32] Fixed a bug in the mailer, sendmail syntax was wrong
  * [edc6f17] bin/fac: use VISUAL and EDITOR environment variables. If
    neither of the environment variables is defined, then the default
    editor /usr/bin/editor is used.

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 07 Feb 2010 18:36:28 +0100

fex (20091210+debian0-1) unstable; urgency=low

  * Initial release (Closes: #495973)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 31 Jan 2010 21:39:04 +0100

